Skip to content

Get Project Policies

Request

Returns all of the policies of a given project

Security
bearer-key
Path
projectTokenstringrequired

project UUID (by running Entities - Product > Get Product Projects) or Project Token (from the Mend SCA App: Integrate tab > Project Token).

Query
searchany

Filter your search to return items whose property has a specific value. Use the syntax: property:operation:value where a colon (:) separates between property, operation and value.

  • Property: the name of the property of the item
  • Operation:
    • equals - true if the value is identical to this value.
  • Value: the value of the property.

This endpoint supports filtering on the following properties and its supported operators:

  • aggregatePolicies:[equals]:value. Value can be either true or false
GET
/api/v2.0/projects/{projectToken}/policies
curl -i -X GET \
  'https://api-saas.mend.io/api/v2.0/projects/{projectToken}/policies?search=%7Bsearch%7D' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValArray of objects(PolicyDTO)
Response
{ "supportToken": "1171c60d", "retVal": [ {} ] }